Gönderen Konu: Opera' da java ve flashplugin ayarları  (Okunma sayısı 16858 defa)

0 Üye ve 1 Ziyaretçi konuyu incelemekte.

« : »
Basit 2 ayarlama ile Linux altında Opera'yı neredeyse kusursuz olarak çalıştırabilirsiniz.
Bundan gayrisi hatalar ya site hatası, ya adsl hatası, ya sisteminizde ki hatalar, ya da çok uzak ihtimal olmakla beraber Opera hatasıdır.

Velhâsıl Opera der ki;
Java mı iyi ayarlayın.
Flashplugin'i de doğru yere koyun (/usr/lib/opera/plugins) der.  :P

Bu ayarları yaparsanız Opera sizi üzmez, sörf'nüz işkence olmaz, saç başta yolmazsınız.

Anlatım detayları burada >>>

Sevgiler.
« Son Düzenleme: 08 Kasım 2009 - 00:05:46 Gönderen: ironic »
Maceraya hazır mısın!  Bir BSD almaz mısın?

« Yanıtla #1 : »
Opera müdavimleri sevinecekler :)
Eline sağlık @mono.
Hayattan çıkarı olmayanların, ölümden de çıkarı olmayacaktır.
Hayatlarıyla yanlış olanların ölümleriyle doğru olmalarına imkân var mıdır?

Böylece yalan, dünyanın düzenine dönüştürülüyor.

« Yanıtla #2 : »
Rica ederim,
Biz Opera'cılar yakında paraşütle atlayış filanda yaparız bu gidişle  ;D
Maceraya hazır mısın!  Bir BSD almaz mısın?

« Yanıtla #3 : »
@mono çok teşekkür ederim. Uzun zamandır flash sorunu yaşıyordum, birçok şey denemiş ama başaramamıştım sayende sorunumu çözdüm.

« Yanıtla #4 : »
@mono çok teşekkür ederim. Uzun zamandır flash sorunu yaşıyordum, birçok şey denemiş ama başaramamıştım sayende sorunumu çözdüm.
Bir şey değil @Dozi
Sorununun bu kadar sürmesine üzülsem de, şimdi çözülmüş olmasına da bir o kadar sevindim. :)
Maceraya hazır mısın!  Bir BSD almaz mısın?

« Yanıtla #5 : »
Forum için gerekli bir anlatımdı. Elinize sağlık @mono.

« Yanıtla #6 : »
Merakıma yenik düştüm ve opera 10'u sitesinden indirip kurdum fakat bir türlü flash plugini tanıtamıyorum libflashplayer.so dosyasını /usr/lib/opera/plugins dizinine attım ve opera ayarlarının içerik kısmından dizini tanıttım ama görmüyor. Plugin ayarlarından find new dediğim zamanda plug-in bulunamadı diyor :(

« Yanıtla #7 : »
Operayı kapatıp Konsoldan şu komutu verir misiniz?
Kod: [Seç]
opera --debugpluginSonra konsolda dönen çıktıyı buraya yapıştırın.
Maceraya hazır mısın!  Bir BSD almaz mısın?

« Yanıtla #8 : »
Operayı kapatıp Konsoldan şu komutu verir misiniz?
Kod: [Seç]
opera --debugpluginSonra konsolda dönen çıktıyı buraya yapıştırın.
Kod: [Seç]
/usr/lib/opera/10.00/opera: error while loading shared libraries: libaudio.so.2: cannot open shared object file: No such file or directory diyor.

« Yanıtla #9 : »

Kod: [Seç]
/usr/lib/opera/10.00/opera: error while loading shared libraries: libaudio.so.2: cannot open shared object file: No such file or directory diyor.
Çok ilginç gerçekten..
Sisteminiz kaç bit, 32-64 hangisi?
Bu
Kod: [Seç]
ls -all /usr/lib/opera ve bu
Kod: [Seç]
strings /usr/lib/opera/plugins/libflashplayer.so | grep LNXçıktıtıları da alabilir miyim?
Maceraya hazır mısın!  Bir BSD almaz mısın?

« Yanıtla #10 : »

Kod: [Seç]
/usr/lib/opera/10.00/opera: error while loading shared libraries: libaudio.so.2: cannot open shared object file: No such file or directory diyor.
Çok ilginç gerçekten..
Sisteminiz kaç bit, 32-64 hangisi?
Bu
Kod: [Seç]
ls -all /usr/lib/opera ve bu
Kod: [Seç]
strings /usr/lib/opera/plugins/libflashplayer.so | grep LNXçıktıtıları da alabilir miyim?
Sistemim Arch Linux 32 bit.
İlk kodun çıktısı:
Kod: [Seç]
total 88
drwxr-xr-x   4 root root  4096 2009-07-16 23:54 .
drwxr-xr-x 124 root root 73728 2009-07-16 23:54 ..
drwxr-xr-x   2 root root  4096 2009-07-17 00:35 10.00
drwxr-xr-x   2 root root  4096 2009-07-16 23:58 plugins
İkinci kodun çıktısı:
Kod: [Seç]
LNX 10,0,22,87

« Yanıtla #11 : »
@Samurai
Şu an berbat bir bağlantım var yarım saatte bir anca girebiliyorum o yüzden gecikiyorum istemeyerek.

Aslında Opera kurulumunuz tamam gibi görünüyor ama Opera anladığım sisteminizde libaudio.so.2 bu dosyayı bulamıyor veya yerinde değil.
Önce bu dosyayı sistemde arayın.
Kod: [Seç]
find / -name libaudio.so.2Yoksa ilgili kitaplığını bulup, yükleyin artık hangi kitaplık sağlıyorsa ona bakın Arch'i hiç bilmiyorum.
libaudio.so yüklendikten sonra bir daha bakalım.
Maceraya hazır mısın!  Bir BSD almaz mısın?

« Yanıtla #12 : »
Çok teşekkürler @mono. Ben de "Operasever"lerdenim :). Şu anda Opera 9.63 sürümünü kullanıyorum. Flaş içerikli çoğu sitede sorun yaşıyordum, şimdi bir çoğu çözülmüş gibi duruyor.

ubuntu türkiye forumları sayesinde birçok sorunumu hallettim. Ama ilk teşekkürümü(veya mesajımı) Opera'yla ilgili olanında yapıyorum :). Böyle de önemli bir browser benim için, çok seviyorum :). Can sıkan bir sorundu, tekrar sağol.

« Yanıtla #13 : »
mozilla firefox gibi varmı yaa operada iyi bir tarayıcı haksızlık etmeyeyim.  ;D
anakart:asus intel p8h61-mlx rev 3.0
işlemci:intel pentium g620 2.60 ghz x2
ram:kingston 4gb ddr3 1333 mhz 2 adet
ekran kartı:asus ati radeon hd 6670 1 gb ddr3 Hdd: Western Dijital 750 gb 64 cache 1 adet Sata2 Western Dijital 250 gb Sata2 Seagate 500 gb sata3 16 cache  Mac os x Lion 10.7.4 tr X64 Apple Fan Hackintosh xd :)

« Yanıtla #14 : »
libaudio.so bende şu dizinde bulunuyor.

Kod: [Seç]
/usr/lib/libaudio.so.2
Arch için baktım da onda da aynı dizinde yer alması gerekiyormuş. Muhtemelen ses ile ilgili eksik  çözücü var.

« Yanıtla #15 : »
Evet bu dosya eksikmiş kurdum fakat hala çalışmıyor :( Ama ilk çıktı şöyle değişti:
Kod: [Seç]
operapluginwrapper: [plugin probing] /usr/lib/opera/plugins/libflashplayer.so
operapluginwrapper: [plugin probing] MIMEDescription             : present
operapluginwrapper: [plugin probing] NPPVpluginNameString        : present
operapluginwrapper: [plugin probing] NPPVpluginDescriptionString : present
operapluginwrapper: [plugin probing] dlclose returned : 0
operapluginwrapper: [plugin probing] Return value : 0 File : /usr/lib/opera/plugins/libflashplayer.so
opera: plugin detection successful: /usr/lib/opera/plugins/libflashplayer.so

« Yanıtla #16 : »
Tamam plugin olayı düzeldi, şu javaya da bi bakalım.

Kod: [Seç]
java -versionOperayı kapatıp, çıktıyı yapıştırın.
Kod: [Seç]
opera --debugjava
Maceraya hazır mısın!  Bir BSD almaz mısın?

« Yanıtla #17 : »
Kod: [Seç]
java version "1.6.0_14"
Java(TM) SE Runtime Environment (build 1.6.0_14-b08)
Java HotSpot(TM) Server VM (build 14.0-b16, mixed mode)
İkincide ise herhangi bir çıktı dönmüyor. Ama flash hala çalışmadı. :(

« Yanıtla #18 : »
Eğer java testini de geçiyorsanız, olay artık pek Opera'lık gözükmüyor.
Arch'la ilgili bir şeyde olabilir ama bu açılmıyor dediğiniz flash nerededir?
Önemli olan o
Linki veya sayfası varsa bir de biz bakalım.
Maceraya hazır mısın!  Bir BSD almaz mısın?

« Yanıtla #19 : »
Evet sıkıntı arch'dan kaynaklı olabilir flash ve javalı hiçbir sayfa çalışmıyor neyse ben kararlı sürüme döneyim onda bir sıkıntı yok sizi de yordum @mono yardımlarınız için teşekkür ederim.

« Yanıtla #20 : »
Evet sıkıntı arch'dan kaynaklı olabilir flash ve javalı hiçbir sayfa çalışmıyor neyse ben kararlı sürüme döneyim onda bir sıkıntı yok sizi de yordum @mono yardımlarınız için teşekkür ederim.
Estağfurullah yorulmak önemli değilde, sorun acaba tam olarak nerede onu bilebilseydik iyi olurdu.
Ama dediğim gibi Arch kaynaklı olması büyük ihtimal zira Arch'ta malum sizler minimal kurulum yapıyorsunuz, kendiniz tek tek seçip kuruyorsunuz çoğu şeyleri, ondan dolayı es geçilen bir uygulamadan olabilir.

Ama Opera10'dan da olabilir yeni versiyon çıktığında bir daha deneyebilirsiniz, nasıl olsa olayı da çözdünüz.
İki test ile belli olur her şey.

Not:
Bu arada sun'un sitesinde ki Java testini geçemiyorsunuz değil mi?
Maceraya hazır mısın!  Bir BSD almaz mısın?

« Yanıtla #21 : »
Evet sıkıntı arch'dan kaynaklı olabilir flash ve javalı hiçbir sayfa çalışmıyor neyse ben kararlı sürüme döneyim onda bir sıkıntı yok sizi de yordum @mono yardımlarınız için teşekkür ederim.
Estağfurullah yorulmak önemli değilde, sorun acaba tam olarak nerede onu bilebilseydik iyi olurdu.
Ama dediğim gibi Arch kaynaklı olması büyük ihtimal zira Arch'ta malum sizler minimal kurulum yapıyorsunuz, kendiniz tek tek seçip kuruyorsunuz çoğu şeyleri, ondan dolayı es geçilen bir uygulamadan olabilir.

Ama Opera10'dan da olabilir yeni versiyon çıktığında bir daha deneyebilirsiniz, nasıl olsa olayı da çözdünüz.
İki test ile belli olur her şey.

Not:
Bu arada sun'un sitesinde ki Java testini geçemiyorsunuz değil mi?
Evet sayenizde olayı kaptım sayılır. Bir dahaki versiyonda çözerim inşallah sorunu bu arada Java testini de geçemedi ben de sinirlendim sildim :D

« Yanıtla #22 : »
Evet sayenizde olayı kaptım sayılır. Bir dahaki versiyonda çözerim inşallah sorunu bu arada Java testini de geçemedi ben de sinirlendim sildim :D
Aslında java ”1.6.0_14” kullandığınıza göre, testi geçmeniz lazım ama anlaşılan java'yı tanıtmada sorun var.
Artık bir daha ki denemede ”java'ya” odaklanırsanız olay çözülür.
Zira plugin olayı tamam.  :)
Maceraya hazır mısın!  Bir BSD almaz mısın?

« Yanıtla #23 : »
Şimdi arch üstüne gnomu kaldırıp kde4 kurdum ve tekrar denediğimde hiçbir ayar yapmadan flash ve javayı görüp çalıştırdı gerçekten enteresan :o

« Yanıtla #24 : »
Şimdi arch üstüne gnomu kaldırıp kde4 kurdum ve tekrar denediğimde hiçbir ayar yapmadan flash ve javayı görüp çalıştırdı gerçekten enteresan :o
Geçmiş olsun öyleyse :)
Olabiliyor böyle şeyler arada sırada, ben de şimdi Pardus 2009'a denedim Opera10'un en son snapshot sürümünü yüklemeyi ama bi hata verdi.
Gerçi depo da Opera10 varmış yükledim de ama ben genede en sonuncuyu yüklemek isterdim.
Neyse onada sonra bakarım, güncellemeyle filan düzelecek gibi bir şeyse uğraştığıma değmez. :)
Maceraya hazır mısın!  Bir BSD almaz mısın?